Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Probleme mit der Inventor API

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Inventor besser verstehen - Fläche löschen
Autor Thema:   Probleme mit der Inventor API (833 mal gelesen)
VossiMB
Mitglied



Sehen Sie sich das Profil von VossiMB an!   Senden Sie eine Private Message an VossiMB  Schreiben Sie einen Gästebucheintrag für VossiMB

Beiträge: 15
Registriert: 21.09.2016

i7-4790, 3.6 GHz, 16 GB,GTX 670
Win 7, 64 Bit
--------------
Visual Studio 2017
Inventor 16 & 17
Qt 5.x

erstellt am: 11. Nov. 2017 22:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo meine lieben,

ich beschäftige mich momentan etwas mit der Inventor API und bin gerade am herum probieren und natürlich etwas am verzweifeln.
Ich bin normalerweise C++ gewöhnt, programmiere aber unter VB.NET und Inventor 2017.

Der Plan ist es eine einzelne Linie in einer 2D Zeichnung (.dwg) zu verändern (Stärke und Farbe). Hierzu soll die Linie selektiert werden und anschließend soll auf einen Button geklickt werden. Diese Button-Funktion sieht man hier...

Code:

Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        If _invApp.Documents.Count = 0 Then
            MsgBox("Es ist keine  Datei in Inventor geoeffnet.")
            Return
        End If

        If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kDrawingDocumentObject Then
            MsgBox("Bitte Oeffnen Sie eine Zeichnung.")
            Return
        End If

        Dim drwDoc As DrawingDocument
        drwDoc = _invApp.ActiveDocument

        ' Prueft, ob etwas selektiert wurde
        Dim selSet As SelectSet
        selSet = drwDoc.SelectSet
        If selSet.Count = 0 Then
            Return
        End If

        ' Layer Kopieren und bearbeiten
        Dim lay As Layer
        lay = selSet.Item(1).Layer
        lay.LineWeight = 2

        Try
            Dim obj As Object
            For Each obj In selSet
                ' Layer fuer die Linie setzen
                obj.Layer = lay
            Next
        Catch ex As Exception
            MsgBox("Hat nicht funktioniert.")
            MsgBox(ex.ToString())
            Return
        End Try

    End Sub


Ich habe vorhin das Verändern mit der Linienstärke hinbekommen, jedoch klappt es jetzt nicht mehr. Das mit der Farbe habe ich bisher überhaupt nicht hin bekommen.

Kann mir hier jemand ggf. eine Hilfestellung geben oder mir eine gute Quelle für eine Art Tutorial geben? Die Infos von Autodesk finde ich eher bescheiden. Vielleicht hab ich sie auch nur noch nicht gefunden 

Grüßle
VossiMB

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VossiMB
Mitglied



Sehen Sie sich das Profil von VossiMB an!   Senden Sie eine Private Message an VossiMB  Schreiben Sie einen Gästebucheintrag für VossiMB

Beiträge: 15
Registriert: 21.09.2016

erstellt am: 11. Nov. 2017 22:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich sehe gerade, dass es auch ein "Inventor .NET" Forum gibt.
Sorry! Ich hab das nicht gesehen gehabt.

Kann man ggf. diesen Thread dort hin verschieben?

Grüßle
VossiMB

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ruzy5624
Mitglied
Konstruktionsleiter / staatl. gepr. Techniker


Sehen Sie sich das Profil von Ruzy5624 an!   Senden Sie eine Private Message an Ruzy5624  Schreiben Sie einen Gästebucheintrag für Ruzy5624

Beiträge: 276
Registriert: 01.07.2015

Product Design Suite 2018 Ultimate
Visual Studio 2017
Windows 10 Pro
Intel Xeon E3-1245 v5 @ 3,5GHz
Nvidia Quadro M4000 8GB
RAM 32GB
2x 24" Monitore FullHD
SpaceMouse Pro

erstellt am: 12. Nov. 2017 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VossiMB 10 Unities + Antwort hilfreich


LayerObject.pdf


InventorAPIHilfe1711121116.JPG

 
Moin,

das von dir benutzte "LayerObject" besitzt neben den Properties "LineWeight" auch noch weitere Properties wie "Color" und "LineType".
Mit diesen Properties sollte man auch die Farbe und den Type des Layers anpassen können.

Anbei noch ein Auszug aus der Inventor API Hilfe zum "LayerObject" und der Weg zur Inventor API Hilfe, falls dir diese noch nicht bekannt sein sollte 

------------------
Mit Besten Grüßen

Marcel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VossiMB
Mitglied



Sehen Sie sich das Profil von VossiMB an!   Senden Sie eine Private Message an VossiMB  Schreiben Sie einen Gästebucheintrag für VossiMB

Beiträge: 15
Registriert: 21.09.2016

erstellt am: 12. Nov. 2017 19:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ruzy5624,

vielen Dank für die Info! Mir war das so noch nicht bekannt gewesen.
Leider funktionieren die Beispiele in der API Hilfe nicht wirklich (trotz Anpassung von VBA an VB.NET) gut. Aber es hilft mir wenigstens etwas weiter.

------------------
---------------
Grüßle
VossiMB

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz